package com.yonge.cooleshow.biz.dal.entity;


import java.util.Date;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import com.baomidou.mybatisplus.annotation.TableId;

import java.io.Serializable;

/**
 * (CourseScheduleStudentMusicSheet)表实体类
 *
 * @author zx
 * @since 2022-04-02 15:56:01
 */
@ApiModel(value = "course_schedule_student_music_sheet-${tableInfo.comment}")
public class CourseScheduleStudentMusicSheet implements Serializable {
    @TableId(value = "id_", type = IdType.AUTO)
    @ApiModelProperty(value = "主键")
    private Long id;

    @TableField("course_schedule_id_")
    @ApiModelProperty(value = "课程编号")
    private Long courseScheduleId;

    @TableField("user_id_")
    @ApiModelProperty(value = "用户编号")
    private Long userId;

    @TableField("down_status_")
    @ApiModelProperty(value = "伴奏下载状态（1下载成功0下载中2下载失败）")
    private Integer downStatus = 0;

    @TableField("music_sheet_accompaniment_id_")
    @ApiModelProperty(value = "伴奏编号")
    private Long musicSheetAccompanimentId;

    @TableField("play_status_")
    @ApiModelProperty(value = "原音播放状态（1是0否）")
    private Integer playStatus = 0;

    @TableField("accompaniment_play_status_")
    @ApiModelProperty(value = "伴奏播放状态")
    private Integer accompanimentPlayStatus = 0;

    @TableField("user_type_")
    @ApiModelProperty(value = "0学生1老师")
    private Integer userType = 0;

    @TableField("speed_")
    @ApiModelProperty(value = "播放速度")
    private Integer speed = 100;

    @TableField("create_time_")
    @ApiModelProperty(value = "${column.comment}")
    private Date createTime;

    @TableField("update_time_")
    @ApiModelProperty(value = "${column.comment}")
    private Date updateTime;


    public Long getId() {
        return id;
    }

    public void setId(Long id) {
        this.id = id;
    }

    public Long getCourseScheduleId() {
        return courseScheduleId;
    }

    public void setCourseScheduleId(Long courseScheduleId) {
        this.courseScheduleId = courseScheduleId;
    }

    public Long getUserId() {
        return userId;
    }

    public void setUserId(Long userId) {
        this.userId = userId;
    }

    public Integer getDownStatus() {
        return downStatus;
    }

    public void setDownStatus(Integer downStatus) {
        this.downStatus = downStatus;
    }

    public Long getMusicSheetAccompanimentId() {
        return musicSheetAccompanimentId;
    }

    public void setMusicSheetAccompanimentId(Long musicSheetAccompanimentId) {
        this.musicSheetAccompanimentId = musicSheetAccompanimentId;
    }

    public Integer getPlayStatus() {
        return playStatus;
    }

    public void setPlayStatus(Integer playStatus) {
        this.playStatus = playStatus;
    }

    public Integer getAccompanimentPlayStatus() {
        return accompanimentPlayStatus;
    }

    public void setAccompanimentPlayStatus(Integer accompanimentPlayStatus) {
        this.accompanimentPlayStatus = accompanimentPlayStatus;
    }

    public Integer getUserType() {
        return userType;
    }

    public void setUserType(Integer userType) {
        this.userType = userType;
    }

    public Integer getSpeed() {
        return speed;
    }

    public void setSpeed(Integer speed) {
        this.speed = speed;
    }

    public Date getCreateTime() {
        return createTime;
    }

    public void setCreateTime(Date createTime) {
        this.createTime = createTime;
    }

    public Date getUpdateTime() {
        return updateTime;
    }

    public void setUpdateTime(Date updateTime) {
        this.updateTime = updateTime;
    }

}

